package org.weblab_project.services.exception;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * This is the common exception to be shared by the services. It contains an error message which is free to use and a errorId which is normalised.
 * <p>
 * Java class for webLabException complex type.
 * <p>
 * The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name=&quot;webLabException&quot;&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
 *       &lt;sequence&gt;
 *         &lt;element name=&quot;errorMessage&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot;/&gt;
 *         &lt;element name=&quot;errorId&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot;/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "webLabException", propOrder = { "errorMessage", "errorId" })
public class WebLabException implements Serializable {

	private final static long serialVersionUID = 11L;

	@XmlElement(required = true)
	protected String errorMessage;

	@XmlElement(required = true)
	protected String errorId;

	/**
	 * Gets the value of the errorMessage property.
	 * 
	 * @return possible object is {@link String }
	 */
	public String getErrorMessage() {
		return this.errorMessage;
	}

	/**
	 * Sets the value of the errorMessage property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 */
	public void setErrorMessage(String value) {
		this.errorMessage = value;
	}

	/**
	 * Gets the value of the errorId property.
	 * 
	 * @return possible object is {@link String }
	 */
	public String getErrorId() {
		return this.errorId;
	}

	/**
	 * Sets the value of the errorId property.
	 * 
	 * @param value
	 *            allowed object is {@link String }
	 */
	public void setErrorId(String value) {
		this.errorId = value;
	}

}
