package org.weblab_project.services.foldercrawling.types;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java element interface generated in the
 * org.weblab_project.services.foldercrawling.types package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can
 * consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods
 * for each of these are provided in this class.
 */
@XmlRegistry
public class ObjectFactory {

	private final static QName _StartCrawlReturn_QNAME =
			new QName("http://weblab-project.org/services/foldercrawling/types", "startCrawlReturn");

	private final static QName _StartCrawlArgs_QNAME =
			new QName("http://weblab-project.org/services/foldercrawling/types", "startCrawlArgs");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package:
	 * org.weblab_project.services.foldercrawling.types
	 */
	public ObjectFactory() {
		//
	}

	/**
	 * Create an instance of {@link StartCrawlArgs }
	 * 
	 * @return
	 */
	public StartCrawlArgs createStartCrawlArgs() {
		return new StartCrawlArgs();
	}

	/**
	 * Create an instance of {@link StartCrawlReturn }
	 * 
	 * @return
	 */
	public StartCrawlReturn createStartCrawlReturn() {
		return new StartCrawlReturn();
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link StartCrawlReturn }{@code >}
	 * 
	 * @param value
	 * @return
	 */
	@XmlElementDecl(namespace = "http://weblab-project.org/services/foldercrawling/types", name = "startCrawlReturn")
	public JAXBElement<StartCrawlReturn> createStartCrawlReturn(StartCrawlReturn value) {
		return new JAXBElement<StartCrawlReturn>(_StartCrawlReturn_QNAME, StartCrawlReturn.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link StartCrawlArgs }{@code >}
	 * 
	 * @param value
	 * @return
	 */
	@XmlElementDecl(namespace = "http://weblab-project.org/services/foldercrawling/types", name = "startCrawlArgs")
	public JAXBElement<StartCrawlArgs> createStartCrawlArgs(StartCrawlArgs value) {
		return new JAXBElement<StartCrawlArgs>(_StartCrawlArgs_QNAME, StartCrawlArgs.class, null, value);
	}

}
