package org.weblab_project.services.foldercrawling.types;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.weblab_project.core.model.user.UsageContext;

/**
 * Wrapper containing the usage context used to launch the crawl.
 * <p>
 * Java class for startCrawlArgs complex type.
 * <p>
 * The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name=&quot;startCrawlArgs&quot;&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
 *       &lt;sequence&gt;
 *         &lt;element name=&quot;usageContext&quot; type=&quot;{http://weblab-project.org/core/model/user}usageContext&quot;/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "startCrawlArgs", propOrder = { "usageContext" })
public class StartCrawlArgs implements Serializable {

	private final static long serialVersionUID = 11L;

	@XmlElement(required = true)
	protected UsageContext usageContext;

	/**
	 * Gets the value of the usageContext property.
	 * 
	 * @return possible object is {@link UsageContext }
	 */
	public UsageContext getUsageContext() {
		return this.usageContext;
	}

	/**
	 * Sets the value of the usageContext property.
	 * 
	 * @param value
	 *            allowed object is {@link UsageContext }
	 */
	public void setUsageContext(UsageContext value) {
		this.usageContext = value;
	}

}
